Skip to main content
GET
/
api
/
v1
/
syncs
List all sync operations
curl --request GET \
  --url https://api.squared.ai/api/v1/syncs \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.squared.ai/api/v1/syncs"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.squared.ai/api/v1/syncs', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": [
    {
      "id": "<string>",
      "type": "syncs",
      "attributes": {
        "source_id": 123,
        "destination_id": 123,
        "model_id": 123,
        "configuration": {},
        "schedule_type": "automated",
        "sync_mode": "full_refresh",
        "sync_interval": 123,
        "sync_interval_unit": "minutes",
        "cron_expression": "<string>",
        "cursor_field": "<string>",
        "stream_name": "<string>",
        "status": "<string>"
      }
    }
  ],
  "links": {
    "self": "<string>",
    "first": "<string>",
    "prev": "<string>",
    "next": "<string>",
    "last": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page[number]
integer

Page number for pagination

page[size]
integer

Number of items per page for pagination

Response

200 - application/json

A list of sync operations

data
object[]
required